Package org.kapott.hbci.sepa

# Enum PainVersion.Type

java.lang.Object
java.lang.Enum<PainVersion.Type>
org.kapott.hbci.sepa.PainVersion.Type

All Implemented Interfaces:
  `Serializable`, `Comparable<PainVersion.Type>`, `java.lang.constant.Constable`

Enclosing class:
  `PainVersion`

public static enum PainVersion.Type extends Enum<PainVersion.Type>
Enum fuer die Gruppierung der verschienden Typen von Geschaeftsvorfaellen.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`PAIN_001`
Ueberweisungen.
`PAIN_002`
Kontoauszuege.
`PAIN_008`
Lastschriften.

## Method Summary

Modifier and Type
Method
Description
`String`
`getName()`
Liefert eine sprechende Bezeichnung des PAIN-Typs.
`static PainVersion.Type`
`getType(String value)`
Liefert den enum-Type fuer den angegebenen Wert.
`String`
`getValue()`
Liefert den numerischen Wert des PAIN-Typs.
`static PainVersion.Type`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static PainVersion.Type[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### PAIN_001

public static final PainVersion.Type PAIN_001
Ueberweisungen.

### PAIN_002

public static final PainVersion.Type PAIN_002
Kontoauszuege.

### PAIN_008

public static final PainVersion.Type PAIN_008
Lastschriften.

## Method Details

### values

public static PainVersion.Type[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static PainVersion.Type valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### getValue

public String getValue()
Liefert den numerischen Wert des PAIN-Typs.

Returns:
  der numerischen Wert des PAIN-Typs.

### getName

public String getName()
Liefert eine sprechende Bezeichnung des PAIN-Typs.

Returns:
  eine sprechende Bezeichnung des PAIN-Typs.

### getType

public static PainVersion.Type getType(String value) throws IllegalArgumentException
Liefert den enum-Type fuer den angegebenen Wert.

Parameters:
  `value` - der Wert. 001, 002 oder 008.
Returns:
  der zugehoerige Enum-Wert.
Throws:
  `IllegalArgumentException` - wenn der Typ unbekannt ist.